summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Yanes Checcacci Balod2014-06-21 07:29:10 +0200
committer Willy Sudiarto Raharjo2014-06-21 07:29:10 +0200
commit0cf63525fdb52e7f9bc1f6285f6c492cb323f955 (patch)
treee702b981cc8c7e2fd4f9d06de10e98681948a986 /audio
parent3a1700873abd60e2fd53c77d078a1d51836a201d (diff)
downloadslackbuilds-0cf63525fdb52e7f9bc1f6285f6c492cb323f955.tar.gz
audio/wmauda: Added (dock application).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/wmauda/README10
-rw-r--r--audio/wmauda/slack-desc19
-rw-r--r--audio/wmauda/wmauda-0.9.patch44
-rw-r--r--audio/wmauda/wmauda.SlackBuild106
-rw-r--r--audio/wmauda/wmauda.info10
5 files changed, 189 insertions, 0 deletions
diff --git a/audio/wmauda/README b/audio/wmauda/README
new file mode 100644
index 0000000000..126fd1cac2
--- /dev/null
+++ b/audio/wmauda/README
@@ -0,0 +1,10 @@
+
+wmauda 0.9
+
+wmauda is a dock application (dockapp) which provides a remote
+control dockapp for Audacious
+
+This is a port of wmxmms to GTK 2.x and Audacious.
+
+It has a patch to correct the eject/playlist button
+and some mods on variables and file locations.
diff --git a/audio/wmauda/slack-desc b/audio/wmauda/slack-desc
new file mode 100644
index 0000000000..8d5eb83e0d
--- /dev/null
+++ b/audio/wmauda/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmauda: wmauda (dock application)
+wmauda:
+wmauda: wmauda is a dock application (dockapp) which provides a remote
+wmauda: control dockapp for Audacious
+wmauda:
+wmauda:
+wmauda:
+wmauda:
+wmauda:
+wmauda: This is a port of wmxmms to GTK 2.x and Audacious.
+wmauda:
diff --git a/audio/wmauda/wmauda-0.9.patch b/audio/wmauda/wmauda-0.9.patch
new file mode 100644
index 0000000000..c2fb758d86
--- /dev/null
+++ b/audio/wmauda/wmauda-0.9.patch
@@ -0,0 +1,44 @@
+--- Makefile 2012-03-26 19:27:20.000000000 -0300
++++ Makefile.new 2014-06-20 22:54:21.000000000 -0300
+@@ -1,14 +1,14 @@
+ CC ?= gcc
+ CFLAGS ?= -g -pipe
+
+-PREFIX ?= /usr/local
++PREFIX ?= /usr
+
+ INSTALL_DIR := $(PREFIX)/bin
+ PIXMAP_DIR := $(PREFIX)/share/pixmaps
+-MANPAGE_DIR := $(PREFIX)/share/man/man1
++MANPAGE_DIR := $(PREFIX)/man/man1
+
+-CFLAGS += $(shell pkg-config audacious --cflags) $(shell pkg-config dbus-1 --cflags) -DPIXMAP_DIR="\"$(PIXMAP_DIR)\""
+-LIBS := $(shell pkg-config audacious --libs) $(shell pkg-config audclient --libs) $(shell pkg-config dbus-1 --libs)
++CFLAGS += $(shell pkg-config audclient --cflags) $(shell pkg-config dbus-glib-1 --cflags) -DPIXMAP_DIR="\"$(PIXMAP_DIR)\""
++LIBS := $(shell pkg-config audclient --libs) $(shell pkg-config dbus-glib-1 --libs) -lX11
+
+ CFLAGS += $(shell pkg-config gtk+-2.0 --cflags)
+ LIBS += $(shell pkg-config gtk+-2.0 --libs)
+@@ -17,7 +17,7 @@
+ HEADERS = dock-master.xpm
+
+ wmauda: $(OBJS) $(HEADERS)
+- $(CC) -o wmauda $(OBJS) $(CFLAGS) $(LIBS)
++ $(CC) $(LDFLAGS) -o wmauda $(OBJS) $(CFLAGS) $(LIBS)
+
+ all: wmauda
+
+--- wmauda.c 2012-03-26 19:23:14.000000000 -0300
++++ wmauda.c.new 2014-06-20 23:03:15.000000000 -0300
+@@ -161,8 +161,9 @@
+
+ void action_eject(void)
+ {
+- audacious_remote_playlist_clear(dbus_proxy);
+- audacious_remote_stop(dbus_proxy);
++/* audacious_remote_playlist_clear(dbus_proxy); */
++/* audacious_remote_stop(dbus_proxy); */
++ audacious_remote_eject(dbus_proxy);
+ }
+
+ void action_prev(void)
diff --git a/audio/wmauda/wmauda.SlackBuild b/audio/wmauda/wmauda.SlackBuild
new file mode 100644
index 0000000000..da24a1fdc9
--- /dev/null
+++ b/audio/wmauda/wmauda.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for wmauda
+
+# Copyright (c) 2014, Yanes Checcacci Balod <yanes@pobox.com>, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wmauda
+VERSION=${VERSION:-0.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Patch it!
+cp $CWD/wmauda-0.9.patch ./
+patch -p0 < wmauda-0.9.patch
+
+# Making dirs manually
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/man/man1
+mkdir -p $PKG/usr/share/pixmaps
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+make install
+
+# Collecting each file to package build directory
+mv /usr/bin/wmauda $PKG/usr/bin
+mv /usr/man/man1/wmauda.1 $PKG/usr/man/man1
+mv /usr/share/pixmaps/wmauda.xpm $PKG/usr/share/pixmaps
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Collecting each file to DOC package build directory
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp -v COPYING AUTHORS README $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/wmauda/wmauda.info b/audio/wmauda/wmauda.info
new file mode 100644
index 0000000000..3757faf64d
--- /dev/null
+++ b/audio/wmauda/wmauda.info
@@ -0,0 +1,10 @@
+PRGNAM="wmauda"
+VERSION="0.9"
+HOMEPAGE="http://www.netswarm.net"
+DOWNLOAD="http://www.netswarm.net/misc/wmauda-0.9.tar.gz"
+MD5SUM="2b194221c0cebbb87fd57da4bf024f13"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Yanes Checcacci Balod"
+EMAIL="yanes@pobox.com"